
Foreman - Refactor #29608

Optimize matches_prefix method

04/23/2020 10:23 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Performance   

Target version:    

Difficulty: trivial Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7606,

https://github.com/theforeman/foreman/p

ull/7625

  

Description

Why is coded in this way I have no idea.

Associated revisions

Revision 962e6c25 - 05/03/2020 09:48 AM - Lukas Zapletal

Fixes #29608 - optimize encryption check

Revision d1f1848f - 05/03/2020 12:56 PM - Tomer Brisker

Refs #29608 - Apply De-Morgan to EncryptValue methods

History

#1 - 04/23/2020 10:26 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7606 added

#2 - 05/03/2020 09:49 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 05/03/2020 09:52 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7625 added

#4 - 05/03/2020 10:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset 962e6c2568b8a5c31e1363aa92a768db87490ccd.
